Organizations:

- &OrdererOrg
  Name: OrdererOrg

  ID: OrdererMSP

  MSPDir: crypto-config/ordererOrganizations/organ.com/msp

  Policies:
    Readers:
      Type: Signature
      Rule: "OR('OrdererMSP.member')"
    Writers:
      Type: Signature
      Rule: "OR('OrdererMSP.member')"
    Admins:
      Type: Signature
      Rule: "OR('OrdererMSP.admin')"

- &Hospital
  Name: HospitalMSP

  ID: HospitalMSP

  MSPDir: crypto-config/peerOrganizations/hospital.organ.com/msp

  Policies:
    Readers:
      Type: Signature
      Rule: "OR('HospitalMSP.admin', 'HospitalMSP.peer', 'HospitalMSP.client')"
    Writers:
      Type: Signature
      Rule: "OR('HospitalMSP.admin', 'HospitalMSP.client')"
    Admins:
      Type: Signature
      Rule: "OR('HospitalMSP.admin')"

  AnchorPeers:
  - Host: peer0.hospital.organ.com
    Port: 7051

- &Patient
  Name: PatientMSP

  ID: PatientMSP

  MSPDir: crypto-config/peerOrganizations/patient.organ.com/msp

  Policies:
    Readers:
      Type: Signature
      Rule: "OR('PatientMSP.admin', 'PatientMSP.peer', 'PatientMSP.client')"
    Writers:
      Type: Signature
      Rule: "OR('PatientMSP.admin', 'PatientMSP.client')"
    Admins:
      Type: Signature
      Rule: "OR('PatientMSP.admin')"

  AnchorPeers:
  - Host: peer0.patient.organ.com
    Port: 7051

Capabilities:
  Channel: &ChannelCapabilities
    V1_3: true

  Orderer: &OrdererCapabilities
    V1_1: true

  Application: &ApplicationCapabilities
    V1_3: true
    V1_2: false
    V1_1: false


Application: &ApplicationDefaults

  Organizations:

  Policies:
    Readers:
      Type: ImplicitMeta
      Rule: "ANY Readers"
    Writers:
      Type: ImplicitMeta
      Rule: "ANY Writers"
    Admins:
      Type: ImplicitMeta
      Rule: "MAJORITY Admins"

  Capabilities:
    <<: *ApplicationCapabilities

Orderer: &OrdererDefaults

  OrdererType: solo

  Addresses:
  - orderer.organ.com:7050

  BatchTimeout: 2s

  BatchSize:

    MaxMessageCount: 10

    AbsoluteMaxBytes: 99 MB

    PreferredMaxBytes: 512 KB

  Kafka:
    Brokers:
    - 127.0.0.1:9092

  Organizations:

  Policies:
    Readers:
      Type: ImplicitMeta
      Rule: "ANY Readers"
    Writers:
      Type: ImplicitMeta
      Rule: "ANY Writers"
    Admins:
      Type: ImplicitMeta
      Rule: "MAJORITY Admins"

Channel: &ChannelDefaults
  Policies:
    # Who may invoke the 'Deliver' API
    Readers:
      Type: ImplicitMeta
      Rule: "ANY Readers"
    # Who may invoke the 'Broadcast' API
    Writers:
      Type: ImplicitMeta
      Rule: "ANY Writers"
    # By default, who may modify elements at this config level
    Admins:
      Type: ImplicitMeta
      Rule: "MAJORITY Admins"

  Capabilities:
    <<: *ChannelCapabilities

Profiles:

  TwoOrgsOrdererGenesis:
    <<: *ChannelDefaults
    Orderer:
      <<: *OrdererDefaults
      Organizations:
        - *OrdererOrg
      Capabilities:
        <<: *OrdererCapabilities
    Consortiums:
      SampleConsortium:
        Organizations:
        - *Hospital
        - *Patient
  TwoOrgsChannel:
    Consortium: SampleConsortium
    Application:
      <<: *ApplicationDefaults
      Organizations:
        - *Hospital
        - *Patient
      Capabilities:
        <<: *ApplicationCapabilities

